%define		_class		Mail
%define		_subclass	mimeDecode
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.5.5
Release:	%mkrel 7
Summary:	Provides a class to decode mime messages
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Patch0:		Mail_mimeDecode-tests.patch
Patch1:		Mail_mimeDecode-1.5.5-php7_svn_fixes.diff
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch

%description
Provides a class to deal with the decoding and interpreting of mime messages.
This package used to be part of the Mail_Mime package, but has been split off.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%patch0 -p0
%patch1 -p0

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Fri Dec 18 2015 oden <oden> 1.5.5-7.mga6
+ Revision: 911674
- weird things now... tests/test
- rediff patches
- P0: fix tests (fedora)
- P1: fix php7 compat (from svn)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.5-6.mga5
+ Revision: 746770
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.5-5.mga5
+ Revision: 687338
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.5-4.mga4
+ Revision: 516972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.5-3.mga3
+ Revision: 376830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 spuhler <spuhler> 1.5.5-2.mga1
+ Revision: 36107
- increased rel to 2

* Thu Jan 20 2011 spuhler <spuhler> 1.5.5-1.mga1
+ Revision: 25521
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_mimeDecode

